# copyright <sebas @ koumbit.org>
# Licence: GPL
#


class di_netboot_assistant {

# sources.list with the lastest Ubuntu releases
   file { "/etc/di-netboot-assistant/di-sources.list":
      owner => root,
      group => root,
      mode => 644,
      source => "puppet:///di_netboot_assistant/di-sources.list"
   }

# some customization of the pxe menu
   file { "/etc/di-netboot-assistant/pxelinux.HEAD":
      owner => root,
      group => root,
      mode => 644,
      source => "puppet:///di_netboot_assistant/pxelinux.HEAD"
   }

    exec { "di_netboot_assistant_lenny":
        command => "di-netboot-assistant install lenny --arch=amd64,i386 &>/dev/null",
        path => "/bin:/sbin:/usr/sbin:/usr/bin",
        require => [Package["di-netboot-assistant"], File["/etc/di-netboot-assistant/di-sources.list", File["/etc/di-netboot-assistant/pxelinux.HEAD"]]
    }

## todo: parse the configurations and a preseed...
# add the repo for hardy and jaunty
# put the pxelinux.head.HEAD before executing the following
# exec : di-netboot-assistant (--verbose --offline) install jaunty --arch=amd64,i386
# exec : di-netboot-assistant (--verbose --offline) install hardy --arch=amd64,i386
# exec : di-netboot-assistant (--verbose --offline) install lenny --arch=amd64,i386
#

    package { [ "di-netboot-assistant" ]: ensure => installed }

}
